curl --request GET \
--url https://staging-api.chip-in.asia/api/send/send_instructions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'checksum: <checksum>' \
--header 'epoch: <epoch>'import requests
url = "https://staging-api.chip-in.asia/api/send/send_instructions/{id}"
headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};
fetch('https://staging-api.chip-in.asia/api/send/send_instructions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3,
"bank_account_id": 12,
"amount": "100.00",
"state": "received",
"email": "recipient@example.com",
"description": "Vendor payout for July batch",
"reference": "INV-2024-0892",
"send_recipient_receipt": true,
"created_at": "2022-12-25T04:19:20.620Z",
"updated_at": "2022-12-25T04:19:20.620Z"
}{
"message": "Bad request",
"code": 400,
"data": {}
}{
"message": "Unauthorized",
"code": 401,
"data": {}
}{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}{
"message": "Record not found",
"code": 404,
"data": {}
}Retrieve a send instruction
Retrieve details of a send instruction that was previously created.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unix epoch timestamp Unix timestamp (seconds).
1619740800
Refer to checksum calculation
Path Parameters
1
Response
Successful response
A send instruction that initiates a payout to a recipient bank account.
The ID returned by the Add Bank Account endpoint.
1
Amount in floating point with maximum of 2 decimal places.
^[0-9]{1,}\.{0,1}[0-9]{0,2}$12.44
"recipient@example.com"
"Vendor payout for invoice INV-2024-0892"
Can be any value.
"INV-2024-0892"
This ID must be stored for future reference.
1
received: The instruction has been received, but processing has not started.enquiring: The instruction is pending verification.executing: The instruction is pending execution.reviewing: The instruction requires further attention. Contact your account manager for troubleshooting.accepted: The instruction has been accepted by the service provider but not yet completed. This is commonly related to a beneficiary bank system outage during the request. Successful instructions will be set tocompletedwithin 24 hours, while unsuccessful instructions will be reviewed before being marked asrejected.completed: The instruction has completed execution and the recipient should have received the payment.rejected: The instruction has been rejected.deleted: The instruction has been deleted.
received, enquiring, executing, reviewing, accepted, completed, rejected, deleted Generated receipt URL.
"https://www.chip-in.asia/receipts/send/95712b0c"
Generated receipt slug.
"95712b0c"
Object creation time in UTC.
Object updated time in UTC.
When true, a receipt is delivered to the recipient's email.
When false, no receipt is emailed to the recipient.
true